## conjure-up 0.1.0

=== debian/changelog ===
conjure-up (0.1.0) xenial-proposed; urgency=medium

  * Change name from conjure to conjure-up
  * Use daily stream for importing LXD images in Juju
  * Update bundle editor to include better navigation between
    relation editing and charm addition
  * Bundle editor will not show recommendedCharms if charm exists
    in current bundle.
  * Facilitates configuring LXD bridge through its dpkg-reconfigure lxd
    mechanism and handles bringing up lxdbr0 for Juju to consume
  * Implemented caching for application config for subsequent status runs

 -- Adam Stokes <adam.stokes@ubuntu.com>  Thu, 14 Apr 2016 16:03:54 -0400

conjure (0.0.8) xenial-proposed; urgency=medium

  * Handle MAAS as a special builtin type rather than a public cloud
  * Support configuring LXD bridge for first run users
  * Add helper functions for use in the processing hooks

 -- Adam Stokes <adam.stokes@ubuntu.com>  Mon, 11 Apr 2016 14:34:31 -0400

conjure (0.0.7) xenial-proposed; urgency=medium

  * pre, post-bootstrap, post execution hooks available per bundle
  * Add additional user feedback in console UI
  * Fail gracefully if run against anything other than Juju 2 or above
  * Support merging bundles, add/removing specific charms, and provide
    search capability via the charmstore API.

 -- Adam Stokes <adam.stokes@ubuntu.com>  Mon, 11 Apr 2016 12:21:40 -0400

conjure (0.0.6) xenial; urgency=medium

  * Initial Release (LP: #1561037)
  * d/control
    - Fix grammatical errors
    - Remove unused build-dep (bundle-placer)
  * d/copyright
    - Fix header to point to correct upstream location
    - remove duplicate copyright globs
    - Add missing copyright directories

 -- Adam Stokes <adam.stokes@ubuntu.com>  Tue, 17 Nov 2015 10:25:15 -0400
