=== debian/rules ===
#!/usr/bin/make -f

PKGDIR=debian/conjure-up

export PYBUILD_NAME=conjure-up
export PYBUILD_INSTALL_DIR=usr/share/conjure-up
export PYBUILD_INSTALL_ARGS_python3=--install-lib=usr/share/conjure-up \
	--install-data=usr/ \
	--install-scripts=usr/share/conjure-up \
	--root=$(PKGDIR) \
	--no-compile -O0

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_install:
	mkdir -p $(PKGDIR)/usr/share/man/man1
	help2man $(PKGDIR)/usr/share/conjure-up/conjure-up -n "apt install juju bundles" --no-info -o $(PKGDIR)/usr/share/man/man1/conjure-up.1
	dh_install

override_dh_auto_test:
	@echo "No tests."
