## conjure-up 0.2.0

=== debian/changelog ===
conjure-up (0.2.0) yakkety; urgency=medium

  * Allow charm config options in bundle to be modified
  * Retry processing on empty JSON results

 -- Michael McCracken <mike.mccracken@canonical.com>  Wed, 20 Apr 2016 13:50:00 -0700
