## conjure-up 0.2.1

=== debian/changelog ===
conjure-up (0.2.1) yakkety; urgency=medium

  * Fix 'creds' KeyError traceback on cloud selection (LP: #1586131)
  * Support Juju beta7
  * Retry on JSON errors (LP: #1575377)

 -- Adam Stokes <adam.stokes@ubuntu.com>  Fri, 27 May 2016 08:34:40 -0400
