=== debian/changelog ===
conjure-up (2.0.1) yakkety-proposed; urgency=medium

  * New upstream release
  * autopkgtest support
  * Full Juju 2.0 support
  * Full MAAS 2.0 support
  * Extensive post deployment operations that are fully customizable

 -- Adam Stokes <adam.stokes@ubuntu.com>  Thu, 06 Oct 2016 15:24:01 -0400
