=== debian/tests/control ===
Depends: tox
Test-Command: tox -e py35
